import request from '@/utils/request'

// 查询工资上报控制列表
export function listSalarycontrol(query) {
  return request({
    url: '/system/salarycontrol/list',
    method: 'get',
    params: query
  })
}

// 查询报送 年份 列表
export function listReportYears(query) {
  return request({
    url: '/system/salarycontrol/reportyear',
    method: 'get',
    params: query
  })
}

// 查询报送 情况（根据年份 ，登录用户所在部门）
export function listReportList(year) {
  return request({
    url: '/system/salarycontrol/reportlist/' + year,
    method: 'get'

  })
}

// 查询工资上报控制详细
export function getSalarycontrol(id) {
  return request({
    url: '/system/salarycontrol/' + id,
    method: 'get'
  })
}

// 新增工资上报控制
export function addSalarycontrol(data) {
  return request({
    url: '/system/salarycontrol',
    method: 'post',
    data: data
  })
}

// 修改工资上报控制
export function updateSalarycontrol(data) {
  return request({
    url: '/system/salarycontrol',
    method: 'put',
    data: data
  })
}

// 删除工资上报控制
export function delSalarycontrol(id) {
  return request({
    url: '/system/salarycontrol/' + id,
    method: 'delete'
  })
}

// 导出工资上报控制
export function exportSalarycontrol(query) {
  return request({
    url: '/system/salarycontrol/export',
    method: 'get',
    params: query
  })
}


// 部门报送情况
export function getDeptlist() {
  return request({
    url: '/system/salarycontrol/getDeptlist',
    method: 'get'
  })
}

// 部门报送情况
export function getNoReportlist(reportCode) {
  return request({
    url: '/system/salarycontrol/getNoReportlist/' + reportCode,
    method: 'get'
  })
}
